package es.uca.xmleye.gui.util;

/*
 Copyright (C) 2005-2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

import java.awt.event.*;
import javax.swing.*;

/**
 * Acción que dispara la pulsación de un botón. Se necesita para poder manejar
 * con el teclado un botón desde cualquier control de una ventana.
 */
public class AccionClick extends AbstractAction {
	/**
	 * 
	 */
	private static final long serialVersionUID = 5081566800988905927L;
	AbstractButton boton;

	/**
	 * Crea una nueva AccionClick, que disparará el botón <code>b</code> al
	 * activarse.
	 * 
	 * @param b
	 *            Botón a disparar.
	 */
	public AccionClick(AbstractButton b) {
		super("click " + b.toString());
		this.boton = b;
	}

	/**
	 * Dispara el botón antes especificado en el constructor.
	 * 
	 * @param e
	 *            Evento observado.
	 */
	public void actionPerformed(ActionEvent e) {
		boton.doClick();
	}
}
